org.apache.tinkerpop.gremlin.structure.util.star

## Class StarGraphGraphSONSerializerV1d0

- java.lang.Object
- - org.apache.tinkerpop.shaded.jackson.databind.JsonSerializer<T>
  - - org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdSerializer<DirectionalStarGraph>
    - - org.apache.tinkerpop.gremlin.structure.util.star.StarGraphGraphSONSerializerV1d0

- All Implemented Interfaces:
    Serializable, org.apache.tinkerpop.shaded.jackson.databind.jsonFormatVisitors.JsonFormatVisitable, org.apache.tinkerpop.shaded.jackson.databind.jsonschema.SchemaAware

      public class StarGraphGraphSONSerializerV1d0
      extends org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdSerializer<DirectionalStarGraph>

  Author:
    Stephen Mallette (http://stephen.genoprime.com)
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.tinkerpop.shaded.jackson.databind.JsonSerializer

      `org.apache.tinkerpop.shaded.jackson.databind.JsonSerializer.None`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdSerializer

      `_handledType`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StarGraphGraphSONSerializerV1d0(boolean normalize)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `serialize(DirectionalStarGraph starGraph, org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator, org.apache.tinkerpop.shaded.jackson.databind.SerializerProvider serializerProvider)`
    `void` | `serializeWithType(DirectionalStarGraph starGraph, org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator, org.apache.tinkerpop.shaded.jackson.databind.SerializerProvider serializerProvider, org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdSerializer

      `_neitherNull, _nonEmpty, acceptJsonFormatVisitor, createSchemaNode, createSchemaNode, findAnnotatedContentSerializer, findContextualConvertingSerializer, findConvertingContentSerializer, findFormatFeature, findFormatOverrides, findIncludeOverrides, findPropertyFilter, getSchema, getSchema, handledType, isDefaultSerializer, visitArrayFormat, visitArrayFormat, visitFloatFormat, visitIntFormat, visitIntFormat, visitStringFormat, visitStringFormat, wrapAndThrow, wrapAndThrow`

    - ### Methods inherited from class org.apache.tinkerpop.shaded.jackson.databind.JsonSerializer

      `getDelegatee, isEmpty, isEmpty, isUnwrappingSerializer, properties, replaceDelegatee, unwrappingSerializer, usesObjectId, withFilterId`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### StarGraphGraphSONSerializerV1d0

          public StarGraphGraphSONSerializerV1d0(boolean normalize)

  - ### Method Detail

    - #### serialize

          public void serialize(DirectionalStarGraph starGraph,
                                org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator,
                                org.apache.tinkerpop.shaded.jackson.databind.SerializerProvider serializerProvider)
                         throws IOException,
                                org.apache.tinkerpop.shaded.jackson.core.JsonGenerationException

      Specified by:
        `serialize` in class `org.apache.tinkerpop.shaded.jackson.databind.ser.std.StdSerializer<DirectionalStarGraph>`
      Throws:
        `IOException`
        `org.apache.tinkerpop.shaded.jackson.core.JsonGenerationException`

    - #### serializeWithType

          public void serializeWithType(DirectionalStarGraph starGraph,
                                        org.apache.tinkerpop.shaded.jackson.core.JsonGenerator jsonGenerator,
                                        org.apache.tinkerpop.shaded.jackson.databind.SerializerProvider serializerProvider,
                                        org.apache.tinkerpop.shaded.jackson.databind.jsontype.TypeSerializer typeSerializer)
                                 throws IOException,
                                        org.apache.tinkerpop.shaded.jackson.core.JsonProcessingException

      Overrides:
        `serializeWithType` in class `org.apache.tinkerpop.shaded.jackson.databind.JsonSerializer<DirectionalStarGraph>`
      Throws:
        `IOException`
        `org.apache.tinkerpop.shaded.jackson.core.JsonProcessingException`

Copyright © 2013–2022 Apache Software Foundation. All rights reserved.